qla2xxx vermagic different from kernel

Issues related to applications and software problems
Post Reply
hb40779
Posts: 2
Joined: 2018/01/30 14:31:01

qla2xxx vermagic different from kernel

Post by hb40779 » 2018/01/30 14:43:56

Hello,

I'm trying to update my qla2xxx driver. Version that I have is not supporting HP SN1100Q HBA. Before upgrade:

[root]# lsmod | grep qla2xxx
[root]# modinfo -a qla2xxx
QLogic Corporation
[root]# modinfo -d qla2xxx
QLogic Fibre Channel HBA Driver
[root]# modinfo -n qla2xxx
/lib/modules/3.10.0-327.59.3.el7.x86_64/kernel/drivers/scsi/qla2xxx/qla2xxx.ko
[root]# modinfo qla2xxx | grep version
version: 8.07.00.18.07.2-k
rhelversion: 7.2
srcversion: 033AD346E10118BEAEDDACB
vermagic: 3.10.0-327.59.3.el7.x86_64 SMP mod_unload modversions
[root]# modinfo -k `uname -r` -n qla2xxx
/lib/modules/3.10.0-327.59.3.el7.x86_64/kernel/drivers/scsi/qla2xxx/qla2xxx.ko

After upgrade:

[root]# rpm -Uvh kmod-qlgc-qla2xxx-8.07.00.50.07.0_k3-1.rhel7u2.x86_64.rpm
warning: kmod-qlgc-qla2xxx-8.07.00.50.07.0_k3-1.rhel7u2.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 26c2b797: NOKEY
Preparing... ################################# [100%]
Updating / installing...
1:kmod-qlgc-qla2xxx-8.07.00.50.07.0################################# [100%]
[root]# modinfo -a qla2xxx
QLogic Corporation
[root]# modinfo -d qla2xxx
QLogic Fibre Channel HBA Driver
[root]# modinfo -n qla2xxx
/lib/modules/3.10.0-327.59.3.el7.x86_64/weak-updates/qlgc-qla2xxx/qla2xxx.ko
[root]# modinfo qla2xxx | grep version
version: 8.07.00.50.07.0-k3
rhelversion: 7.2
srcversion: D16C314E3D8E58979018CA8
vermagic: 3.10.0-327.el7.x86_64 SMP mod_unload modversions
[root]# modinfo -k `uname -r` -n qla2xxx
/lib/modules/3.10.0-327.59.3.el7.x86_64/weak-updates/qlgc-qla2xxx/qla2xxx.ko

After the upgrade vermagic is different from kernel. Is that a problem? How can I change the vermagic field?

Thank you. Regards

User avatar
TrevorH
Forum Moderator
Posts: 23680
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: qla2xxx vermagic different from kernel

Post by TrevorH » 2018/01/30 16:46:48

You don't have a CentOS system there. We have never released a 3.10.0-327.59.3.el7.x86_64 kernel - the highest version number used in 7.2 was kernel-3.10.0-327.36.3.el7.x86_64.rpm and anything higher than that means that it's not a CentOS kernel. Nor is the package you are trying to install from CentOS either.

The current CentOS version is 7.4.1708 and the latest kernel available for that is 3.10.0-693.17.1.el7.x86_64. If this really is a CentOS 7 system with a foreign kernel installed then you should probably update it to 7.4 ASAP. The version of the qla2xxx module is considerably higher in that than the one you are using from your foreign kernel.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

hb40779
Posts: 2
Joined: 2018/01/30 14:31:01

Re: qla2xxx vermagic different from kernel

Post by hb40779 » 2018/01/30 19:35:15

Yes, you are correct. This is rhel 7u2. I only want to know will this work? I have hba ports online.

Thank you. Regards

stevemowbray
Posts: 392
Joined: 2012/06/26 14:20:47

Re: qla2xxx vermagic different from kernel

Post by stevemowbray » 2018/01/31 12:36:21

Since you have RHEL you should ask Red Hat whom you're paying for support.

CentOS is not RHEL and CentOS 7.2 is not supported, only the current version is.

User avatar
toracat
Forum Moderator
Posts: 7299
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: qla2xxx vermagic different from kernel

Post by toracat » 2018/02/02 00:51:46

To answer the vermagic question... it should not matter between 3.10.0-327.59.3.el7 and 3.10.0-327.el7 because the kABI is supposed to remain the same within a given point release.
CentOS Forum FAQ

Post Reply